Package Details: weston-orbital-git 1.7.93.4678.a0fd45c-1

Git Clone URL: https://aur.archlinux.org/weston-orbital-git.git (read-only)
Package Base: weston-orbital-git
Description: Reference implementation of a Wayland compositor modified for use with orbital
Upstream URL: https://github.com/giucam/weston/tree/libweston
Licenses: MIT
Conflicts: weston
Provides: weston
Submitter: garydelaney
Maintainer: garydelaney
Last Packager: garydelaney
Votes: 4
Popularity: 0.000000
First Submitted: 2015-02-02 05:27
Last Updated: 2015-12-10 16:38

Latest Comments

ccapitalK commented on 2015-11-23 09:39

To make this work with grsec/paxd, add the following lines to /etc/paxd.conf

m /usr/libexec/orbital-client
m /usr/libexec/orbital-splash
m /usr/bin/orbital-launcher

garydelaney commented on 2015-02-14 22:08

please reinstall wayland-git if you get build errors. this is required until the wayland-git maintainer actively maintains the package.

garydelaney commented on 2015-02-12 23:38

I've uploaded the pkgbuilds to github. https://github.com/gld1982ltd/pkgbuilds

thx1138 commented on 2015-02-02 16:38

Sorry - my bad. Pacman does not do this automatically.

thx1138 commented on 2015-02-02 16:33

What is the purpose of the "pkgver() {...}" function in the PKGBUILD? It seems that pacman will create the exact same package version, automatically. Am I missing something? Or is this custom "pkgver() {...}" function not needed?

thx1138 commented on 2015-02-02 14:36

The PKBUILD "url" more precisely should be:

url='https://github.com/giucam/weston/tree/libweston'

thx1138 commented on 2015-02-02 14:32

libtool install may fail with makeflags such as -j2 or higher.
Add "-j1" to make install, as in:

make DESTDIR="$pkgdir" -j1 install